Skip to main content
GET
/
v1
/
calendar
/
events
List calendar events
curl --request GET \
  --url https://api.runtools.ai/v1/calendar/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "summary": "<string>",
      "description": "<string>",
      "location": "<string>",
      "start": {
        "dateTime": "2023-11-07T05:31:56Z",
        "date": "2023-12-25",
        "timeZone": "<string>"
      },
      "end": {
        "dateTime": "2023-11-07T05:31:56Z",
        "date": "2023-12-25",
        "timeZone": "<string>"
      },
      "attendees": [
        {}
      ],
      "htmlLink": "<string>",
      "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "calendarColor": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS session token or RunTools API key (rt_live_* / rt_test_*). Used in Authorization: Bearer <token> header.

Query Parameters

connectionId
string<uuid>
timeMin
string<date-time>
timeMax
string<date-time>

Response

200 - application/json

Events.

data
object[]